Skip to main content
GET
/
orgs
/
{org_id}
/
payment-links
List payment links for an organization
curl --request GET \
  --url https://prod-api.pcxpay.com/v1/orgs/{org_id}/payment-links \
  --header 'Authorization: <authorization>' \
  --header 'X-Api-Key: <x-api-key>'
{
  "count": 12,
  "links": [
    {
      "link_id": "lnk_a1b2c3d4",
      "transaction_id": "txn_xyz789",
      "org_id": "org_abc123",
      "payment_link": "https://pay.pcxpay.com/lnk_a1b2c3d4",
      "expires_at": "2026-04-16T10:00:00",
      "expires_at_timestamp": 1744790400,
      "status": "active",
      "email": "customer@example.com",
      "payment_amount": 5000,
      "scheduled_at": "2026-04-15T10:00:00",
      "created_at": "2026-04-13T08:00:00",
      "currency": "NGN"
    }
  ]
}

Headers

Authorization
string
default:NONE
required

Bearer JWT for user-facing flows (Bearer eyJraWQ...), or the literal string NONE when authenticating via API key.

Example:

"Bearer eyJraWQ..."

X-Api-Key
string
default:NONE
required

API key for server-to-server flows, or the literal string NONE when authenticating via JWT.

Example:

"pcx_abc123_xxxx"

Path Parameters

org_id
string
required

The organization ID to list payment links for.

Example:

"org_abc123"

Response

List of payment links for the organization.

count
integer
Example:

12